> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all of current user's tokens.

> Get the tokens created by the current user.

In our system, there are two kinds of tokens:

1. Tokens created explicitly by user.
2. Tokens created implicitly when a user logs in.

This API only returns the former. The latter should be seen as
implementation detail and be invisible to the user.



## OpenAPI

````yaml get /base/user/tokens
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /base/user/tokens:
    get:
      tags:
        - Authorization
      summary: List all of current user's tokens.
      description: |-
        Get the tokens created by the current user.

        In our system, there are two kinds of tokens:

        1. Tokens created explicitly by user.
        2. Tokens created implicitly when a user logs in.

        This API only returns the former. The latter should be seen as
        implementation detail and be invisible to the user.
      operationId: coinfer_apis_base_api_get_tokens
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_list_GetTokensRsp__'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    SuccRsp_list_GetTokensRsp__:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          items:
            $ref: '#/components/schemas/GetTokensRsp'
          title: Data
          type: array
      required:
        - status
        - data
      title: SuccRsp[list[GetTokensRsp]]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    GetTokensRsp:
      properties:
        id:
          title: Id
          type: integer
        token:
          title: Token
          type: string
        token_name:
          title: Token Name
          type: string
        token_desc:
          title: Token Desc
          type: string
        token_expire:
          examples:
            - '2025-02-11T23:56:09.473Z'
          format: date-time
          title: Token Expire
          type: string
      required:
        - id
        - token
        - token_name
        - token_desc
        - token_expire
      title: GetTokensRsp
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````